#ifndef __ACOBSERVERS_H__
#define __ACOBSERVERS_H__

#include <e32base.h>

class MSockReadObserver {
public:
    virtual void OnReceiveL(const TPtrC8 aBuffer) = 0;

    // return true if we should continue issuing read requests...
    virtual TBool OnReadErrorL(TRequestStatus aStatus) = 0;
};

class MConnectionObserver {
public:
    virtual void OnServerStart(TRequestStatus aStatus) = 0;
    virtual void OnAddressResolved(TRequestStatus aStatus) = 0;
    virtual void OnConnect(TRequestStatus aStatus) = 0;
    virtual void OnDisconnect(TRequestStatus aStatus) = 0;
};


#endif // __ACOBSERVERS_H__